#ifndef SCREENSHOT_H
#define SCREENSHOT_H

#include <qobject.h>
#include <qwidget.h>
#include <qmap.h>
#include <qpixmap.h>

class QMouseEvent;
class QPaintEvent;
class Chat;
class ChatButton;
class UinsList;

class ScreenShot : public QWidget
{
	Q_OBJECT

	private:
		int startX, cleanX, cleanW;
		int startY, cleanY, cleanH;
		QMap<Chat*,ChatButton*> chatButtons;
		Chat* tempChat;
		QPainter* painter;
		QPixmap pixmap;

	public:
		ScreenShot(QWidget * parent = 0, const char * name = 0, WFlags f = 0);
		~ScreenShot();
		void mousePressEvent(QMouseEvent* e);
		void mouseReleaseEvent(QMouseEvent* e);
		void mouseMoveEvent(QMouseEvent* e);

	public slots:
		void takeShot(Chat* chat);
		void chatCreated(const UinsList&);
		void chatDestroying(const UinsList&);
		void grabMouseSlot();

	private slots:
		void handleCreatedChat(Chat* chat);
		void handleDestroyingChat(Chat* chat);

};

extern ScreenShot* screenShot;

#endif
